Summary: DVMRP Multicast routing daemon
Name: mrouted
Version: 4.1
Release: 1%{?dist}
Group: Applications/System
Source: mrouted-%{version}.tar.gz

License: BSD+Attribution
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc, byacc, systemd-devel

%description
Mrouted provides multicast routing between different multicast-enabled
interfaces. It can also uses tunnels between multiple mrouted
instances to create a virtual multicast network over the
multicast-unaware Internet.

%prep
%setup -q

%build
%{configure}
make %{?_smp_mflags}

sed -i -e 's!^\([^#]\)!#\1!' mrouted.conf

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}/mrouted.conf $RPM_BUILD_ROOT%{_sysconfdir}/mrouted.conf

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -eq 1 ] ; then
	# Initial installation
	/usr/bin/systemctl preset mrouted.service >/dev/null 2>&1 || :
else
	/usr/bin/systemctl try-restart mrouted.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
	# Package removal, not upgrade
	/usr/bin/systemctl --no-reload disable mrouted.service > /dev/null 2>&1 || :
	/usr/bin/systemctl stop mrouted.service > /dev/null 2>&1 || :
fi

%postun
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
	# Package upgrade, not uninstall
	/usr/bin/systemctl try-restart mrouted.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/mrouted.conf
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system
%{_prefix}/lib/systemd/system/mrouted.service
%dir %{_mandir}
%dir %{_mandir}/man5
%{_mandir}/man5/*.5.gz
%dir %{_mandir}/man8
%{_mandir}/man8/*.8.gz
%{_sbindir}/*
%{_docdir}/%{name}/*

%changelog
* Sat Oct  3 2020 Philippe Troin <phil@fifi.org> - 4.1-1
- Upstream updated to 4.1.

* Sat Jun 20 2020 Philippe Troin <phil@fifi.org> - 4.0-2
- Prevent error message on restart.

* Tue Jun 16 2020 Philippe Troin <phil@fifi.org> - 4.0-1
- Upstream updated to 4.0.
- Drop configure --enable-rsrr.
- Use the configure macro instead of calling configure binary directly.
- Use the 4.0-provided systemd unit file.
- Add BuildRequires systemd-devel.

* Mon Oct 28 2019 Philippe Troin <phil@fifi.org> - 3.9.8-2
- Add BuildRequires: gcc, byacc.

* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 3.9.8-1
- Upstream updated to 3.9.8.

* Tue Jan  3 2017 Philippe Troin <phil@fifi.org> - 3.9.7-1
- Upstream updated to 3.9.7.

* Wed Apr  8 2015 Philippe Troin <phil@fifi.org> - 3.9.6-2
- Tweak CFLAGS.

* Thu Jul  3 2014 Philippe Troin <phil@fifi.org> - 3.9.6-1
- Update the service file to have mrouted started only once the network is up.
- Upstream update to 3.9.6.

* Wed Sep 25 2013 Philippe Troin <phil@fifi.org> - 3.9beta3+IOS12-3
- Don't claim sbindir as ours.

* Mon Jun 29 2009 Philippe Troin <phil@fifi.org> - 3.9beta3+IOS12-2
- Disable strict aliasing as this software is old and use unions in unholy ways.

* Wed Oct 15 2008 Philippe Troin <phil@fifi.org> - 3.9beta3+IOS12-1
- Created.
